%define upstream_name    IO-Pager
%define upstream_version 2.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl Module for Syndication feed auto-discovery
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}/
Source0:    https://cpan.metacpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(Config)
BuildRequires: perl(Env)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Which)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(PerlIO)
BuildRequires: perl(SelectSaver)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tie::Handle)
BuildRequires: perl(base)
BuildArch:  noarch

%description
Perl Module for Syndication feed auto-discovery.

Feed::Find implements feed auto-discovery for finding syndication feeds, 
given a URI. It (currently) passes all of the auto-discovery tests at 
http://diveintomark.org/tests/client/autodiscovery/ .

Feed::Find will discover the following feed formats: RSS 0.91 RSS 1.0
RSS 2.0 Atom 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
# only when building from CVS (version 1.51-3mdk)
#CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
#make docs -i
# only when building from CVS (version 1.51-3mdk)
SKIP_SAX_INSTALL=1 CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test < /dev/null

%install
%make_install
rm -f %{buildroot}%{perl_vendorlib}/IO/t.pl

%files
%doc CHANGES META.json META.yml MYMETA.yml README TODO
%{perl_vendorlib}/IO/Pager*
%{_mandir}/*/*
%{_bindir}/tp


%changelog
* Tue Dec 22 2020 guillomovitch <guillomovitch> 2.100.0-1.mga8
+ Revision: 1662995
- new version 2.10

* Wed Feb 19 2020 umeabot <umeabot> 1.10.0-2.mga8
+ Revision: 1544379
- Mageia 8 Mass Rebuild

* Sat Jan 25 2020 shlomif <shlomif> 1.10.0-1.mga8
+ Revision: 1482930
- New version 1.10.0
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.310.0-6.mga7
+ Revision: 1268789
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.310.0-5.mga6
+ Revision: 1028755
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.310.0-4.mga6
+ Revision: 929738
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.310.0-3.mga5
+ Revision: 746691
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.310.0-2.mga5
+ Revision: 685069
- Mageia 5 Mass Rebuild

* Mon Feb 17 2014 jquelin <jquelin> 0.310.0-1.mga5
+ Revision: 593647
- update to 0.31

* Fri Oct 18 2013 umeabot <umeabot> 0.300.0-3.mga4
+ Revision: 512226
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.300.0-2.mga3
+ Revision: 368529
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.300.0-1.mga3
+ Revision: 295427
- update to 0.30

* Fri Feb 24 2012 jquelin <jquelin> 0.240.0-1.mga2
+ Revision: 213714
- update to 0.24

* Thu Jan 20 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 26407
- mageia rebuild
- imported package perl-IO-Pager


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.60.0-1mdv2010.1
+ Revision: 504936
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.06-4mdv2010.0
+ Revision: 430472
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.06-3mdv2009.0
+ Revision: 241559
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat May 26 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.06-1mdv2008.0
+ Revision: 31531
- Import perl-IO-Pager



* Sun May 20 2007 Shlomi Fish  0.06-1mdv2007.1
- Initial release. Adapted the Feed-Find spec for this one.
